Skip to content

computerProviders.createComputerProvider

POST
/v1/computer-providers
curl --request POST \
--url https://example.com/v1/computer-providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "credentials": { "kind": "e2b", "apiKey": "example", "apiUrl": "example", "sandboxDomain": "example" }, "shared": true }'

Adds an account at a Computer provider. OpenBot checks the key with the provider first.

Media typeapplication/json
object
name
required
string
>= 1 characters <= 120 characters
credentials
required
Any of:
object
kind
required
string
Allowed values: e2b
apiKey
required
string
>= 1 characters <= 4096 characters
apiUrl
string
>= 1 characters
sandboxDomain
string
>= 1 characters <= 253 characters
shared
boolean

Success

Media typeapplication/json
object
id
required
string
>= 1 characters <= 128 characters
kind
required
string
Allowed values: e2b daytona
name
required
string
owner
required
Any of:
object
_tag
required
string
Allowed values: Member
userId
required
string
credentials
required
Any of:
object
kind
required
string
Allowed values: e2b
apiKey
required
object
set
required
boolean
hint
required
Any of:
string
apiUrl
required
Any of:
string
sandboxDomain
required
Any of:
string
version
required
integer
<= 9007199254740991
createdAt
required
number
updatedAt
required
number

Example

{
"kind": "e2b",
"owner": {
"_tag": "Member"
},
"credentials": {
"kind": "e2b"
}
}

ComputerInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ComputerInvalid
message
required
string

Example

{
"_tag": "ComputerInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

ComputerNotFound | ComputerPathNotFound | ComputerSessionNotFound | ComputerProviderNotFound | PairingInvalid

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ComputerNotFound
id
required
string

Example

{
"_tag": "ComputerNotFound"
}

@nmnmcc/ability/Authorizer/Pending | ComputerProviderInUse | ComputerConflict | ComputerUnsupported | ComputerNotReady

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Pending
ticket
required
string
reason
string

Example

{
"_tag": "Pending"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

ComputerProviderFailed | ComputerExecutionFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ComputerProviderFailed
message
required
string

Example

{
"_tag": "ComputerProviderFailed"
}

ComputersUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PolicyUnavailable

Example

{
"_tag": "PolicyUnavailable"
}